Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class TaxCharges2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.TaxCharges2

    public class TaxCharges2
    extends java.lang.Object

Java class for TaxCharges2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxCharges2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PercentageRate" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected java.lang.String` `id`
`protected java.math.BigDecimal` `rate`

### Constructor Summary

Constructors
`TaxCharges2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`java.lang.String` `getId()` Gets the value of the id property.
`java.math.BigDecimal` `getRate()` Gets the value of the rate property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setRate​(java.math.BigDecimal value)` Sets the value of the rate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### rate

    protected java.math.BigDecimal rate

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

### Constructor Detail

#### TaxCharges2

    public TaxCharges2()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getRate

    public java.math.BigDecimal getRate()

Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

#### setRate

    public void setRate​(java.math.BigDecimal value)

Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`